diff --git a/drupal7/includes/form.inc b/drupal7/includes/form.inc
index 1158fd03..f2557e83 100644
--- a/drupal7/includes/form.inc
+++ b/drupal7/includes/form.inc
@@ -1361,7 +1361,10 @@ function _form_validate(&$elements, &$form_state, $form_id = NULL) {
     // The following errors are always shown.
     if (isset($elements['#needs_validation'])) {
       // Verify that the value is not longer than #maxlength.
-      if (isset($elements['#maxlength']) && drupal_strlen($elements['#value']) > $elements['#maxlength']) {
+      if (isset($elements['#maxlength']) && (isset($elements['#value']) && !is_scalar($elements['#value']))) {
+        form_error($elements, $t('An illegal value has been detected. Please contact the site administrator.'));
+      }
+      elseif (isset($elements['#maxlength']) && drupal_strlen($elements['#value']) > $elements['#maxlength']) {
         form_error($elements, $t('!name cannot be longer than %max characters but is currently %length characters long.', array('!name' => empty($elements['#title']) ? $elements['#parents'][0] : $elements['#title'], '%max' => $elements['#maxlength'], '%length' => drupal_strlen($elements['#value']))));
       }
 
@@ -4124,9 +4127,17 @@ function form_process_weight($element) {
   $max_elements = variable_get('drupal_weight_select_max', DRUPAL_WEIGHT_SELECT_MAX);
   if ($element['#delta'] <= $max_elements) {
     $element['#type'] = 'select';
+    $weights = array();
     for ($n = (-1 * $element['#delta']); $n <= $element['#delta']; $n++) {
       $weights[$n] = $n;
     }
+    if (isset($element['#default_value'])) {
+      $default_value = (int) $element['#default_value'];
+      if (!isset($weights[$default_value])) {
+        $weights[$default_value] = $default_value;
+        ksort($weights);
+      }
+    }
     $element['#options'] = $weights;
     $element += element_info('select');
   }
diff --git a/drupal7/includes/mail.inc b/drupal7/includes/mail.inc
index 0e5c1780..a97c788f 100644
--- a/drupal7/includes/mail.inc
+++ b/drupal7/includes/mail.inc
@@ -12,6 +12,12 @@
  */
 define('MAIL_LINE_ENDINGS', isset($_SERVER['WINDIR']) || (isset($_SERVER['SERVER_SOFTWARE']) && strpos($_SERVER['SERVER_SOFTWARE'], 'Win32') !== FALSE) ? "\r\n" : "\n");
 
+
+/**
+ * Special characters, defined in RFC_2822.
+ */
+define('MAIL_RFC_2822_SPECIALS', '()<>[]:;@\,."');
+
 /**
  * Composes and optionally sends an e-mail message.
  *
@@ -148,8 +154,13 @@ function drupal_mail($module, $key, $to, $language, $params = array(), $from = N
     // Return-Path headers should have a domain authorized to use the originating
     // SMTP server.
     $headers['From'] = $headers['Sender'] = $headers['Return-Path'] = $default_from;
+
+    if (variable_get('mail_display_name_site_name', FALSE)) {
+      $display_name = variable_get('site_name', 'Drupal');
+      $headers['From'] = drupal_mail_format_display_name($display_name) . ' <' . $default_from . '>';
+    }
   }
-  if ($from) {
+  if ($from && $from != $default_from) {
     $headers['From'] = $from;
   }
   $message['headers'] = $headers;
@@ -557,10 +568,59 @@ function drupal_html_to_text($string, $allowed_tags = NULL) {
   return $output . $footnotes;
 }
 
+/**
+ * Return a RFC-2822 compliant "display-name" component.
+ *
+ * The "display-name" component is used in mail header "Originator" fields
+ * (From, Sender, Reply-to) to give a human-friendly description of the
+ * address, i.e. From: My Display Name <xyz@example.org>. RFC-822 and
+ * RFC-2822 define its syntax and rules. This method gets as input a string
+ * to be used as "display-name" and formats it to be RFC compliant.
+ *
+ * @param string $string
+ *   A string to be used as "display-name".
+ *
+ * @return string
+ *   A RFC compliant version of the string, ready to be used as
+ *   "display-name" in mail originator header fields.
+ */
+function drupal_mail_format_display_name($string) {
+  // Make sure we don't process html-encoded characters. They may create
+  // unneeded trouble if left encoded, besides they will be correctly
+  // processed if decoded.
+  $string = decode_entities($string);
+
+  // If string contains non-ASCII characters it must be (short) encoded
+  // according to RFC-2047. The output of a "B" (Base64) encoded-word is
+  // always safe to be used as display-name.
+  $safe_display_name = mime_header_encode($string, TRUE);
+
+  // Encoded-words are always safe to be used as display-name because don't
+  // contain any RFC 2822 "specials" characters. However
+  // mimeHeaderEncode() encodes a string only if it contains any
+  // non-ASCII characters, and leaves its value untouched (un-encoded) if
+  // ASCII only. For this reason in order to produce a valid display-name we
+  // still need to make sure there are no "specials" characters left.
+  if (preg_match('/[' . preg_quote(MAIL_RFC_2822_SPECIALS) . ']/', $safe_display_name)) {
+
+    // If string is already quoted, it may or may not be escaped properly, so
+    // don't trust it and reset.
+    if (preg_match('/^"(.+)"$/', $safe_display_name, $matches)) {
+      $safe_display_name = str_replace(array('\\\\', '\\"'), array('\\', '"'), $matches[1]);
+    }
+
+    // Transform the string in a RFC-2822 "quoted-string" by wrapping it in
+    // double-quotes. Also make sure '"' and '\' occurrences are escaped.
+    $safe_display_name = '"' . str_replace(array('\\', '"'), array('\\\\', '\\"'), $safe_display_name) . '"';
+  }
+
+  return $safe_display_name;
+}
+
 /**
  * Wraps words on a single line.
  *
- * Callback for array_walk() winthin drupal_wrap_mail().
+ * Callback for array_walk() within drupal_wrap_mail().
  */
 function _drupal_wrap_mail_line(&$line, $key, $values) {
   // Use soft-breaks only for purely quoted or unindented text.
diff --git a/drupal7/includes/menu.inc b/drupal7/includes/menu.inc
index 2b489d88..22e6dba9 100644
--- a/drupal7/includes/menu.inc
+++ b/drupal7/includes/menu.inc
@@ -1067,7 +1067,7 @@ function menu_tree_output($tree) {
     // the active class accordingly. But local tasks do not appear in menu
     // trees, so if the current path is a local task, and this link is its
     // tab root, then we have to set the class manually.
-    if ($data['link']['href'] == $router_item['tab_root_href'] && $data['link']['href'] != $_GET['q']) {
+    if ($router_item && $data['link']['href'] == $router_item['tab_root_href'] && $data['link']['href'] != $_GET['q']) {
       $data['link']['localized_options']['attributes']['class'][] = 'active';
     }
 
diff --git a/drupal7/modules/aggregator/aggregator.info b/drupal7/modules/aggregator/aggregator.info
index cf792429..27a51856 100644
--- a/drupal7/modules/aggregator/aggregator.info
+++ b/drupal7/modules/aggregator/aggregator.info
@@ -7,7 +7,7 @@ files[] = aggregator.test
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/aggregator/tests/aggregator_test.info b/drupal7/modules/aggregator/tests/aggregator_test.info
index 8ceba68c..2da3409f 100644
--- a/drupal7/modules/aggregator/tests/aggregator_test.info
+++ b/drupal7/modules/aggregator/tests/aggregator_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/block/block.info b/drupal7/modules/block/block.info
index 9b0976ca..60b80957 100644
--- a/drupal7/modules/block/block.info
+++ b/drupal7/modules/block/block.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/block/tests/block_test.info b/drupal7/modules/block/tests/block_test.info
index 5727aa08..820a7d52 100644
--- a/drupal7/modules/block/tests/block_test.info
+++ b/drupal7/modules/block/tests/block_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
index a78aff24..5a18c522 100644
--- a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
+++ b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
@@ -13,7 +13,7 @@ regions[footer] = Footer
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/blog/blog.info b/drupal7/modules/blog/blog.info
index ea3a71fe..2f0c69ff 100644
--- a/drupal7/modules/blog/blog.info
+++ b/drupal7/modules/blog/blog.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/book/book.info b/drupal7/modules/book/book.info
index 422ea5ea..706b0798 100644
--- a/drupal7/modules/book/book.info
+++ b/drupal7/modules/book/book.info
@@ -7,7 +7,7 @@ files[] = book.test
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/color/color.info b/drupal7/modules/color/color.info
index b1cbf41b..ca4610c2 100644
--- a/drupal7/modules/color/color.info
+++ b/drupal7/modules/color/color.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/comment/comment.info b/drupal7/modules/comment/comment.info
index b7c27850..201f84d3 100644
--- a/drupal7/modules/comment/comment.info
+++ b/drupal7/modules/comment/comment.info
@@ -9,7 +9,7 @@ files[] = comment.test
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/contact/contact.info b/drupal7/modules/contact/contact.info
index 8307a510..b35f09ba 100644
--- a/drupal7/modules/contact/contact.info
+++ b/drupal7/modules/contact/contact.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/contextual/contextual.info b/drupal7/modules/contextual/contextual.info
index a9f5729f..87bbf554 100644
--- a/drupal7/modules/contextual/contextual.info
+++ b/drupal7/modules/contextual/contextual.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/dashboard/dashboard.info b/drupal7/modules/dashboard/dashboard.info
index 2d4ce062..0f4134aa 100644
--- a/drupal7/modules/dashboard/dashboard.info
+++ b/drupal7/modules/dashboard/dashboard.info
@@ -7,7 +7,7 @@ files[] = dashboard.test
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/dblog/dblog.info b/drupal7/modules/dblog/dblog.info
index fbb32108..f20ced61 100644
--- a/drupal7/modules/dblog/dblog.info
+++ b/drupal7/modules/dblog/dblog.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/field.info b/drupal7/modules/field/field.info
index 3116751c..a684ceee 100644
--- a/drupal7/modules/field/field.info
+++ b/drupal7/modules/field/field.info
@@ -11,7 +11,7 @@ dependencies[] = field_sql_storage
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
index b2c18173..2168c02f 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
@@ -7,7 +7,7 @@ dependencies[] = field
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.test b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.test
index 7c88ac77..b2eb5065 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.test
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.test
@@ -313,9 +313,13 @@ class FieldSqlStorageTestCase extends DrupalWebTestCase {
     $field = array('field_name' => 'test_text', 'type' => 'text', 'settings' => array('max_length' => 255));
     $field = field_create_field($field);
 
-    // Attempt to update the field in a way that would break the storage.
+    // Attempt to update the field in a way that would break the storage. The
+    // parenthesis suffix is needed because SQLite has *very* relaxed rules for
+    // data types, so we actually need to provide an invalid SQL syntax in order
+    // to break it.
+    // @see https://www.sqlite.org/datatype3.html
     $prior_field = $field;
-    $field['settings']['max_length'] = -1;
+    $field['settings']['max_length'] = '-1)';
     try {
       field_update_field($field);
       $this->fail(t('Update succeeded.'));
diff --git a/drupal7/modules/field/modules/list/list.info b/drupal7/modules/field/modules/list/list.info
index 5c6437a3..19c44f2d 100644
--- a/drupal7/modules/field/modules/list/list.info
+++ b/drupal7/modules/field/modules/list/list.info
@@ -7,7 +7,7 @@ dependencies[] = field
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/modules/list/tests/list_test.info b/drupal7/modules/field/modules/list/tests/list_test.info
index 20665b49..9f76b3a0 100644
--- a/drupal7/modules/field/modules/list/tests/list_test.info
+++ b/drupal7/modules/field/modules/list/tests/list_test.info
@@ -5,7 +5,7 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/modules/number/number.info b/drupal7/modules/field/modules/number/number.info
index 352a3ea2..8780f8f2 100644
--- a/drupal7/modules/field/modules/number/number.info
+++ b/drupal7/modules/field/modules/number/number.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/modules/options/options.info b/drupal7/modules/field/modules/options/options.info
index a60b6324..aad274ee 100644
--- a/drupal7/modules/field/modules/options/options.info
+++ b/drupal7/modules/field/modules/options/options.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = options.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/modules/text/text.info b/drupal7/modules/field/modules/text/text.info
index 28fa6087..009f2177 100644
--- a/drupal7/modules/field/modules/text/text.info
+++ b/drupal7/modules/field/modules/text/text.info
@@ -7,7 +7,7 @@ dependencies[] = field
 files[] = text.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field/tests/field_test.info b/drupal7/modules/field/tests/field_test.info
index 28e95aeb..72db3271 100644
--- a/drupal7/modules/field/tests/field_test.info
+++ b/drupal7/modules/field/tests/field_test.info
@@ -6,7 +6,7 @@ files[] = field_test.entity.inc
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/field_ui/field_ui.info b/drupal7/modules/field_ui/field_ui.info
index 8d9e09ae..a8ad2713 100644
--- a/drupal7/modules/field_ui/field_ui.info
+++ b/drupal7/modules/field_ui/field_ui.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = field_ui.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/file/file.info b/drupal7/modules/file/file.info
index a3d67f0e..72eee76f 100644
--- a/drupal7/modules/file/file.info
+++ b/drupal7/modules/file/file.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = field
 files[] = tests/file.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/file/file.module b/drupal7/modules/file/file.module
index eea58470..1f1d5944 100644
--- a/drupal7/modules/file/file.module
+++ b/drupal7/modules/file/file.module
@@ -281,10 +281,11 @@ function file_ajax_upload() {
   }
   // Otherwise just add the new content class on a placeholder.
   else {
-    $form['#suffix'] .= '<span class="ajax-new-content"></span>';
+    $form['#suffix'] = (isset($form['#suffix']) ? $form['#suffix'] : '') . '<span class="ajax-new-content"></span>';
   }
 
-  $form['#prefix'] .= theme('status_messages');
+  $form['#prefix'] = (isset($form['#prefix']) ? $form['#prefix'] : '') . theme('status_messages');
+
   $output = drupal_render($form);
   $js = drupal_add_js();
   $settings = drupal_array_merge_deep_array($js['settings']['data']);
diff --git a/drupal7/modules/file/tests/file_module_test.info b/drupal7/modules/file/tests/file_module_test.info
index 8ccb519f..8d922bd3 100644
--- a/drupal7/modules/file/tests/file_module_test.info
+++ b/drupal7/modules/file/tests/file_module_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/filter/filter.info b/drupal7/modules/filter/filter.info
index 04d17145..7e6cb99f 100644
--- a/drupal7/modules/filter/filter.info
+++ b/drupal7/modules/filter/filter.info
@@ -7,7 +7,7 @@ files[] = filter.test
 required = TRUE
 configure = admin/config/content/formats
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/forum/forum.info b/drupal7/modules/forum/forum.info
index e25a7fe5..0c0173e3 100644
--- a/drupal7/modules/forum/forum.info
+++ b/drupal7/modules/forum/forum.info
@@ -9,7 +9,7 @@ files[] = forum.test
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/help/help.info b/drupal7/modules/help/help.info
index 3ee5800b..0a74b076 100644
--- a/drupal7/modules/help/help.info
+++ b/drupal7/modules/help/help.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/image/image.info b/drupal7/modules/image/image.info
index f16b9efe..5f998ec5 100644
--- a/drupal7/modules/image/image.info
+++ b/drupal7/modules/image/image.info
@@ -7,7 +7,7 @@ dependencies[] = file
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/image/tests/image_module_test.info b/drupal7/modules/image/tests/image_module_test.info
index 636e8547..df4ce267 100644
--- a/drupal7/modules/image/tests/image_module_test.info
+++ b/drupal7/modules/image/tests/image_module_test.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/locale/locale.info b/drupal7/modules/locale/locale.info
index 5614346a..f2e593c7 100644
--- a/drupal7/modules/locale/locale.info
+++ b/drupal7/modules/locale/locale.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/locale/locale.module b/drupal7/modules/locale/locale.module
index 768fead6..93a4657f 100644
--- a/drupal7/modules/locale/locale.module
+++ b/drupal7/modules/locale/locale.module
@@ -564,6 +564,7 @@ function locale_language_types_info() {
  * Implements hook_language_negotiation_info().
  */
 function locale_language_negotiation_info() {
+  require_once DRUPAL_ROOT . '/includes/locale.inc';
   $file = 'includes/locale.inc';
   $providers = array();
 
diff --git a/drupal7/modules/locale/tests/locale_test.info b/drupal7/modules/locale/tests/locale_test.info
index 4e939d41..37989ebb 100644
--- a/drupal7/modules/locale/tests/locale_test.info
+++ b/drupal7/modules/locale/tests/locale_test.info
@@ -5,7 +5,7 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/menu/menu.info b/drupal7/modules/menu/menu.info
index 9ef85ee0..917c786f 100644
--- a/drupal7/modules/menu/menu.info
+++ b/drupal7/modules/menu/menu.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/node/node.info b/drupal7/modules/node/node.info
index f1b04cf6..e4afc0b0 100644
--- a/drupal7/modules/node/node.info
+++ b/drupal7/modules/node/node.info
@@ -9,7 +9,7 @@ required = TRUE
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/node/tests/node_access_test.info b/drupal7/modules/node/tests/node_access_test.info
index 1a669c58..c38c57e1 100644
--- a/drupal7/modules/node/tests/node_access_test.info
+++ b/drupal7/modules/node/tests/node_access_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/node/tests/node_test.info b/drupal7/modules/node/tests/node_test.info
index 3020b2c2..506e38e1 100644
--- a/drupal7/modules/node/tests/node_test.info
+++ b/drupal7/modules/node/tests/node_test.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/node/tests/node_test_exception.info b/drupal7/modules/node/tests/node_test_exception.info
index b429bcb6..444c204e 100644
--- a/drupal7/modules/node/tests/node_test_exception.info
+++ b/drupal7/modules/node/tests/node_test_exception.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/openid/openid.info b/drupal7/modules/openid/openid.info
index 63427d5a..e0421984 100644
--- a/drupal7/modules/openid/openid.info
+++ b/drupal7/modules/openid/openid.info
@@ -5,7 +5,7 @@ package = Core
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/openid/tests/openid_test.info b/drupal7/modules/openid/tests/openid_test.info
index 140575c4..9c489201 100644
--- a/drupal7/modules/openid/tests/openid_test.info
+++ b/drupal7/modules/openid/tests/openid_test.info
@@ -6,7 +6,7 @@ core = 7.x
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/overlay/overlay.info b/drupal7/modules/overlay/overlay.info
index a2857361..35bac133 100644
--- a/drupal7/modules/overlay/overlay.info
+++ b/drupal7/modules/overlay/overlay.info
@@ -4,7 +4,7 @@ package = Core
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/path/path.info b/drupal7/modules/path/path.info
index 70c21e2b..41e25fce 100644
--- a/drupal7/modules/path/path.info
+++ b/drupal7/modules/path/path.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/php/php.info b/drupal7/modules/php/php.info
index ed296400..87337500 100644
--- a/drupal7/modules/php/php.info
+++ b/drupal7/modules/php/php.info
@@ -5,7 +5,7 @@ version = VERSION
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
diff --git a/drupal7/modules/poll/poll.info b/drupal7/modules/poll/poll.info
index e0449a34..4004f225 100644
--- a/drupal7/modules/poll/poll.info
+++ b/drupal7/modules/poll/poll.info
@@ -6,7 +6,7 @@ core = 7.x
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2020-11-18
-version = "7.74"
+; Information added by Drupal.org packaging script on 2020-12-03
+version = "7.77"
 project = "drupal"
-datestamp = "1605718477"
+datestamp = "1607003447"
